Security Experts:

Many Apps Impacted by GIF Processing Flaw Patched Recently in WhatsApp

Trend Micro security researchers have discovered thousands of Android applications impacted by the GIF processing vulnerability that was patched recently in WhatsApp.

Tracked as CVE-2019-11932, the security flaw exists in the open source library named libpl_droidsonroids_gif.so, which is part of the android-gif-drawable package and is used by numerous Android applications when processing GIF files.

WhatsApp for Android was one of the impacted applications and Facebook patched it recently with the release of version 2.19.244. However, many other apps still use a vulnerable version of the library.

To exploit the flaw against WhatsApp, an attacker would have to send a malicious GIF file to a WhatsApp user. This would automatically trigger the security bug, as soon as the application generates a preview for the file in the WhatsApp Gallery.

However, exploitation requires for the attacker to be in the victim’s contact list, otherwise the malicious GIF will not be automatically downloaded.

The attacker could then escalate privileges and gain access to files on the victim device, including WhatsApp messages. The adversary could also create a remote shell in the context of WhatsApp.

To achieve remote code execution, however, the attacker would need to leverage another vulnerability or a malicious app that is already installed on the device.

The security vulnerability has been fixed in libpl_droidsonroids_gif.so for nearly two months, but many of the developers relying on it have yet to update their packages to use the patched iteration.

According to Trend Micro, there are over 3,000 applications in Google Play that use the vulnerable library, thus potentially putting their users at risk.

“On Google Play alone, we found more than 3,000 applications with this vulnerability. We also found many other similar apps hosted on third-party app stores such as 1mobile, 9Apps, 91 market, APKPure, Aptoide, 360 Market, PP Assistant, QQ Market, and Xiaomi Market,” the company’s researchers report.

They manually tested some of the discovered applications and confirmed the presence of the old and vulnerable version of libpl_droidsonroids_gif.so.

“If you accidentally install a vulnerable application, you will be at risk, as an attacker may be able to exploit this vulnerability to take control of this device. We urge developers to upgrade libpl_droidsonroids_gif.so if they are using it to reduce the risk to end users,” Trend Micro concludes.

Related: WhatsApp Vulnerability Allows Code Execution Via Malicious MP4 File

Related: WhatsApp Flaw Allows Remote Code Execution via Malicious GIF File

view counter